Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class SimpleEventFactoryHomeImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.cbe.impl.AbstractEventFactoryHome
            |
            +--org.eclipse.hyades.logging.events.cbe.impl.SimpleEventFactoryHomeImpl

All Implemented Interfaces:
  EventFactoryHome

public class SimpleEventFactoryHomeImpl
extends AbstractEventFactoryHome

A simple concrete implementation of the `AbstractEventFactoryHome` abstract event factory home implementation used for creating event factories with no associated `ContentHandler`.

This event factory home implementation is used to create an event factory that does not have an associated `ContentHandler`. These event factory implementations are used to create events that do not have an associated `ContentHandler` nor a configuration template.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Paul E Slauenwhite
See Also:
  `AbstractEventFactoryHome`

Constructor Summary
`SimpleEventFactoryHomeImpl()`

Method Summary
`ContentHandler` | `createContentHandler(java.lang.String factoryName)` Creates an instance of the `ContentHandler` implementation which is tightly coupled to the type of the concrete implementation of this abstract class.
`ContentHandler` | `resolveContentHandler()` Resolves an instance of the `ContentHandler` implementation which is tightly coupled to the type of the concrete implementation of this abstract class.

Methods inherited from class org.eclipse.hyades.logging.events.cbe.impl.AbstractEventFactoryHome
`checkAccess, getAnonymousEventFactory, getEventFactory, releaseEventFactory, updateAnonymousEventFactory, updateEventFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleEventFactoryHomeImpl

    public SimpleEventFactoryHomeImpl()

Method Detail

### resolveContentHandler

    public ContentHandler resolveContentHandler()

  Description copied from class: `AbstractEventFactoryHome`
  Resolves an instance of the `ContentHandler` implementation which is tightly coupled to the type of the concrete implementation of this abstract class.

  It is assumed that implementations of the `createContentHandler(String factoryName)` method would reference the implementation of this method in the same concrete implementation of this abstract class when creating the returned `ContentHandler`.

  Specified by:
    `resolveContentHandler` in class `AbstractEventFactoryHome`
  Returns:
    An instance of the `ContentHandler` tightly coupled with this type of this event factory home implementation.
  See Also:
    `AbstractEventFactoryHome.resolveContentHandler()`

### createContentHandler

    public ContentHandler createContentHandler(java.lang.String factoryName)

  Description copied from class: `AbstractEventFactoryHome`
  Creates an instance of the `ContentHandler` implementation which is tightly coupled to the type of the concrete implementation of this abstract class.

  The returned instance of the `ContentHandler` implementation is pre-configured with a event properties resolved from a source tightly coupled to the type of the concrete implementation of this abstract class.

  It is assumed that implementations of this method would reference the implementation of the `resolveContentHandler()` method in the same concrete implementation of this abstract class when creating the returned `ContentHandler`.

  Specified by:
    `createContentHandler` in class `AbstractEventFactoryHome`
  Parameters:
    `factoryName` - The name of the event factory associated with the returned `ContentHandler` implementation.
  Returns:
    An instance of the `ContentHandler` pre-configured with a event properties.
  See Also:
    `AbstractEventFactoryHome.createContentHandler(java.lang.String)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD